#ifndef TMHistogrammingHitsPerEventEq_H
#define TMHistogrammingHitsPerEventEq_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingHitsPerEventEq : public TMHistogramming {
 public:
  TMHistogrammingHitsPerEventEq(UInt_t eq);
  virtual ~TMHistogrammingHitsPerEventEq();
  
  virtual void ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row);

  virtual void Draw(TPad *pad);
  virtual void Reset();

 protected:
  UInt_t  fEq;
  ULong_t fTotalNumberOfHitsChip[6][10];
  TH1F    *fTheHisto;

};

#endif
